Package org.apache.cxf.validation

# Class ClientBeanValidationOutInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.validation.AbstractValidationInterceptor
org.apache.cxf.validation.AbstractBeanValidationInterceptor
org.apache.cxf.validation.ClientBeanValidationOutInterceptor

All Implemented Interfaces:
  `AutoCloseable`, `Interceptor<Message>`, `PhaseInterceptor<Message>`

public class ClientBeanValidationOutInterceptor extends AbstractBeanValidationInterceptor

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.validation.AbstractValidationInterceptor

  `BUNDLE, LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientBeanValidationOutInterceptor()`
  `ClientBeanValidationOutInterceptor(String phase)`

- ## Method Summary

  ### Methods inherited from class org.apache.cxf.validation.AbstractBeanValidationInterceptor

  `getServiceMethod, getServiceObject, handleValidation, unwrapArgs`

  ### Methods inherited from class org.apache.cxf.validation.AbstractValidationInterceptor

  `close, getProvider, handleMessage, setProvider, setServiceObject`

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientBeanValidationOutInterceptor

    public ClientBeanValidationOutInterceptor()

  - ### ClientBeanValidationOutInterceptor

    public ClientBeanValidationOutInterceptor(String phase)